
%define oname	biopython
%define	version	1.61
%define	release	1

Summary:	The Biopython Project
Name:		python-biopython
Version:	%{version}
Release:	%mkrel %{release}
Source0:	http://biopython.org/DIST/%{oname}-%{version}.tar.xz
License:	BSD
Group:		Sciences/Biology
Url:		http://biopython.org/
Requires:	python-numpy
BuildRequires:	python-egenix-mx-base
BuildRequires:	flex
BuildRequires:	python-reportlab
BuildRequires:	python-numpy
BuildRequires:	python-numpy-devel
BuildRequires:	gcc
BuildRequires:	epydoc
BuildRequires:	dos2unix
BuildRequires:	python-devel
Requires:	python-numpy
Requires:	python-reportlab
Requires:	python-egenix-mx-base
Requires:	wise
Provides:	biopython = %{version}-%{release}
Provides:	python-Bio
Obsoletes:	python-Bio

%description
The Biopython Project is an international association of developers of
freely available Python tools for computational molecular biology.

http://biopython.org provides an online resource for modules,
scripts, and web links for developers of Python-based software for
life science research.

This package provides various Python modules from the Biopython Project 
used to process biological data.

%package	tools
Summary:	Regression testing code and miscellaneous standalone scripts
Group:		Sciences/Biology
Requires:	%{name} = %{version}
Suggests:	tkinter, wxPython
Provides:	biopython-tools
Obsoletes:	biopython-tools

%description tools
This package provides various scripts and tests that are comprised by the
Biopython Project.

%package	sql
Summary:	Code for using Biopython with BioSQL databases
Requires:	%{name} = %{version}
Group:		Development/Python
Requires:	python-psycopg2
Requires:	python-mysql
Provides:	biopython-biosql = %{version}-%{release}
Provides:	python-BioSQL
Obsoletes:	python-BioSQL

%description sql
BioSQL is meant to be a common data storage layer supported by all the
different Bio* projects, Bioperl, Biojava, Biopython, and Bioruby.
Entries stored through an application written in, say, Bioperl could
be retrieved by another written in Biojava.

%package	doc
Summary:	The Biopython Project documentation
Group:		Documentation
Requires:	%{name} = %{version}
Provides:	biopython-doc
Obsoletes:	biopython-doc

%description doc
This package provides the documentation for the various components of the 
Biopython Project.

%prep
%setup -q -n %{oname}-%{version}

# remove Mac-related files
rm -f Tests/CodonUsage/.DS_Store
# remove CVS dirs
find -type d -name CVS | xargs rm -rf 
# convert wrong end of line
find -type f -exec dos2unix -b -U {} \;

%build
python setup.py build_ext -lm build

%install
python setup.py install --root=%{buildroot}

mkdir -p %{buildroot}/%_datadir/%{name}-%{version} 
cp -r Tests Scripts %{buildroot}/%_datadir/%{name}-%{version}

%files
%py_platsitedir/Bio
%py_platsitedir/*.egg-info
%doc CONTRIB DEPRECATED LICENSE NEWS README

%files sql
%py_platsitedir/BioSQL
%doc LICENSE

%files tools
%_datadir/%{name}-%{version}/Tests
%_datadir/%{name}-%{version}/Scripts

%files doc
%doc Doc/*.pdf Doc/examples/


%changelog
* Sat Aug 10 2013 billybot <billybot> 1.61-1pclos2013
- update
